/**
 * Represents an error when a value is not of the expected type.
 * @syntax <code>newTypeError([<em>message</em>[,<em>fileName</em>[,<em>lineNumber</em>]]])</code>
 * @param {String} message Human-readable description of the error
 * @param {String} fileName Non-standard The name of the file containing the code that caused the exception
 * @param {Number} lineNumber Non-standard The line number of the code that caused the exception
 * @returns {Error} 
 */
function TypeError() {
    this.prototype
}
/**
 * @returns {String} 
 * @static
 */
TypeError.name;

/**
 * Represents the prototype for the TypeError constructor.
 * @returns {Object} 
 * @static
 */
TypeError.prototype;

/**
 * @returns {Function} 
 * @static
 */
TypeError.constructor;

/**
 * Represents the prototype for the TypeError constructor.
 * @returns {Object} 
 * @static
 */
TypeError.prototype;

